Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Namespace.Accessor

    java.lang.Object
      rdlc.rdl.Namespace.Accessor

All Implemented Interfaces:
  Accessor<Declaration>

Enclosing class:
  Namespace

    protected static class Namespace.Accessor

extends java.lang.Object
implements Accessor<Declaration>

Accessor class for namespaces. Allows a caller to access the RDL namespace hierarchy in an abstract way.

Version:
  $Revision: 1.21 $
Author:
  Greg Gibeling

Constructor Summary
`protected` | `Namespace.Accessor()`

Method Summary
`HierarchicalCatalog<Declaration>` | `getCatalog(java.lang.Object obj)` Return the hierarchical catalog representation of an object, assuming the object is non-null and a `Namespace`.
`Identifier<Declaration>` | `getIdentifier(java.lang.Object obj)` Return the `Namespace.Identifier` of an object, assuming the object is non-null and a `Declaration`.
`java.lang.String` | `getName(java.lang.Object obj)` Return the string name of an object, assuming the object is non-null and a `Declaration`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Namespace.Accessor

    protected Namespace.Accessor()

Method Detail

### getCatalog

    public HierarchicalCatalog<Declaration> getCatalog(java.lang.Object obj)

  Return the hierarchical catalog representation of an object, assuming the object is non-null and a `Namespace`.

  Specified by:
    `getCatalog` in interface `Accessor<Declaration>`
  Parameters:
    `obj` - The object to extract the catalog from.
  Returns:
    A hierarchical catalog. `null` if `obj` is `null` or not a `Namespace`.

### getIdentifier

    public Identifier<Declaration> getIdentifier(java.lang.Object obj)

  Return the `Namespace.Identifier` of an object, assuming the object is non-null and a `Declaration`.

  Specified by:
    `getIdentifier` in interface `Accessor<Declaration>`
  Parameters:
    `obj` - The object to extract the identifier from.
  Returns:
    An identifier. `null` if `obj` is `null` or not a `Declaration`.

### getName

    public java.lang.String getName(java.lang.Object obj)

  Return the string name of an object, assuming the object is non-null and a `Declaration`.

  Specified by:
    `getName` in interface `Accessor<Declaration>`
  Parameters:
    `obj` - The object to extract the name from.
  Returns:
    A string name. `null` if `obj` is `null` or not a `Declaration`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD